# Uses of Enum Class
jdk.incubator.vector.VectorShape

Packages that use VectorShape
Package
Description
jdk.incubator.vector
Incubating Feature. Will be removed in a future release.

## Uses of VectorShape in jdk.incubator.vector

Subclasses with type arguments of type VectorShape in jdk.incubator.vector
Modifier and Type
Class
Description
`enum`
`VectorShape`
A `VectorShape` selects a particular implementation of `Vector`s.
Methods in jdk.incubator.vector that return VectorShape
Modifier and Type
Method
Description
`static VectorShape`
VectorShape.`forBitSize(int bitSize)`
Finds an appropriate shape depending on the proposed bit-size of a vector.
`static VectorShape`
VectorShape.`forIndexBitSize(int indexBitSize, int elementSize)`
Finds an appropriate index shape depending on the proposed index-bit-size and element-size of a vector.
`static VectorShape`
VectorShape.`preferredShape()`
Finds the vector shape preferred by the current platform for all vector element types.
`abstract VectorShape`
Vector.`shape()`
Returns the shape of this vector.
`static VectorShape`
VectorShape.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VectorShape[]`
VectorShape.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`VectorShape`
VectorSpecies.`vectorShape()`
Returns the shape of vectors produced by this species.
Methods in jdk.incubator.vector with parameters of type VectorShape
Modifier and Type
Method
Description
`static <E> VectorSpecies<E>`
VectorSpecies.`of(Class<E> elementType, VectorShape shape)`
Finds a species for an element type and shape.
`VectorSpecies<E>`
VectorSpecies.`withShape(VectorShape newShape)`
Finds a species with the given shape and the same elementType as this species.